<script lang="ts">
import JIcon from '@new-jira-clone/ui/src/components/icon/JIcon';

export default {
  name: 'JArrowIcon',
  components: {
    JIcon,
  },
  props: {
    margin: {
      type: Boolean,
      default: true,
    },
    containerSize: {
      type: Boolean,
      default: false,
    },
    active: {
      type: Boolean,
      default: false,
    },
  },
};
</script>

<template>
  <JIcon
    icon="downArrow"
    class="j-arrow-icon"
    :class="{ 'container-size': containerSize, margin, active }"
  />
</template>

<style lang="scss" scoped>
.j-arrow-icon {
  transform-origin: center;
  transition: all 150ms ease-in-out;

  &.active {
    transform: rotate(180deg);
  }
}

.margin {
  margin-right: -8px;
  margin-left: -8px;
}
</style>
